package nc.net.uap.servlet;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import nc.bs.framework.common.NCLocator;
import nc.itf.bgy.ws.my2nc.write.INCPaybillWsFromMy;
import nc.net.servlet.EsbJsonServlet;
import nc.vo.esb.ResultEsbVO;
import uap.json.JSONObject;

/**
 * @author zhengyao3/郑瑶
 * @date 2018-9-13 下午4:12:25
 * @Description:接收明源传入付款单
 * 
 */
public class NCPaybillWsFromMyServlet extends EsbJsonServlet {

	@Override
	public void execFunction(HttpServletRequest request,
			HttpServletResponse response) {
		JSONObject jsonobj = getPostJsonValue();// 获取请求值
		INCPaybillWsFromMy billServlice = NCLocator.getInstance().lookup(
				INCPaybillWsFromMy.class);
		ResultEsbVO resultVO = billServlice.addTallybill(jsonobj);
		sendResponse(response, resultVO);
	}

}
